- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# FbxNodeEvalState Class Reference

Search for all occurrences

## Detailed Description

This class hold results for node evaluation.

Definition at line 141 of file fbxanimevalstate.h.

`#include <fbxanimevalstate.h>`

List of all members.

## Public Member Functions
| FbxNodeEvalState (FbxNode *pNode)
## Public Attributes
FbxVector4 | mLT
| mLT is used to hold result value of LclTranslation property from node evaluation.
FbxVector4 | mLR
| mLR is used to hold result value of LclRotation property from node evaluation.
FbxVector4 | mLS
| mLS is used to hold result value of LclScaling property from node evaluation.
FbxAMatrix | mLX
| mLX is used to hold result local transform matrix from node evaluation.
FbxAMatrix | mGX
| mGX is used to hold result global transform matrix from node evaluation.
FbxTransform * | mTransform
| mTransform is used to hold the corresponding FbxTransform of the node.
int | mParentIndex
int | mTargetIndex
int | mTargetUpIndex
FbxAnimCurveNode * | mCurveNode [3]
FbxAnimLayer * | mLayer

## Constructor & Destructor Documentation

FbxNodeEvalState | ( | FbxNode * | pNode | ) |

## Member Data Documentation

FbxVector4 mLT

Search for all occurrences

mLT is used to hold result value of LclTranslation property from node evaluation.

Definition at line 148 of file fbxanimevalstate.h.

FbxVector4 mLR

Search for all occurrences

mLR is used to hold result value of LclRotation property from node evaluation.

Definition at line 152 of file fbxanimevalstate.h.

FbxVector4 mLS

Search for all occurrences

mLS is used to hold result value of LclScaling property from node evaluation.

Definition at line 156 of file fbxanimevalstate.h.

FbxAMatrix mLX

Search for all occurrences

mLX is used to hold result local transform matrix from node evaluation.

Pivots, offsets, pre/post rotation and all other transforms are taken into consideration.

Definition at line 161 of file fbxanimevalstate.h.

FbxAMatrix mGX

Search for all occurrences

mGX is used to hold result global transform matrix from node evaluation.

Pivots, offsets, pre/post rotation and all other transforms are taken into consideration.

Definition at line 166 of file fbxanimevalstate.h.

FbxTransform* mTransform

Search for all occurrences

mTransform is used to hold the corresponding FbxTransform of the node.

This FbxTransform takes all transform-related info, including pivots, offsets, pre/post rotation, rotation order, limits, etc. The evaluation is actually done through the utility functions of FbxTransform.

Definition at line 172 of file fbxanimevalstate.h.

int mParentIndex

Search for all occurrences

Definition at line 174 of file fbxanimevalstate.h.

int mTargetIndex

Search for all occurrences

Definition at line 174 of file fbxanimevalstate.h.

int mTargetUpIndex

Search for all occurrences

Definition at line 174 of file fbxanimevalstate.h.

FbxAnimCurveNode* mCurveNode[3]

Search for all occurrences

Definition at line 175 of file fbxanimevalstate.h.

FbxAnimLayer* mLayer

Search for all occurrences

Definition at line 176 of file fbxanimevalstate.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/animation/fbxanimevalstate.h

FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState
FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState FbxNodeEvalState